<div class="panel panel-default">

    <div class="panel-heading">
        <h3 class="panel-title">Kategorie ID zugehörigkeiten</h3>
    </div>
    <div class="panel-body kategorie-list">
        <p>
            Hier sehen Sie, welche Kategorie, zu welcher ID zugehörig ist, die ID ist immer vor dem Kategorienamen in
            fett dargestellt.</p>
        <p>
            Sie haben nun die Möglichkeit, einzelnen Artikeln, das Funktionsattribut oder auch eigene Feld "kat_<b>-idnummer-</b>" mit einer
            Sortierungsnummer zuweisen,
            diese werden denn vom kleinsten bis höchstem Wert angezeigt, Artikel die kein solches Funktionsattribut
            haben nehmen Ihre Position der eigenen Sortierung bzw. der Konfigurierten Suche ein.
        </p>
        <hr/>
        <p>
            <i>Die Sortierungsauswahl des Shop Besuchers deaktiviert die Sortierung der Funktionsattribute.</i>
        </p>
        <p>
            <i>Sie haben die Möglichkeit, anstelle der Funktionsattribute, die Eigenen Felder zu verwenden, diese können
                Sie über die Ameise pflegen.</i>
        </p>
        <hr/>


        <p><b>Bitte wählen Sie den gewünschten Anfangsbuchstaben</b></p>
        <div class="letter-scroller" id="letter-scroller">
            {foreach from=$kategorieFirstLetter item=kat}
                <a style="display:inline-block; padding:5px 7px; border:1px solid #c3c3c3; margin-right:3px;"
                   href="#letter_{$kat->firstLetter}">{$kat->firstLetter}</a>
            {/foreach}


            {assign var=lastletter value=''}
            {foreach from=$kategories item=kat}
            {if $lastletter != $kat->firstLetter}
            {assign var=lastletter value=$kat->firstLetter}
        </div>
        <br/><br/>

        <div id="letter_{$lastletter}" class="row letters"
             style="padding-bottom:5px; border-bottom:1px solid #c3c3c3; margin:10px 0px;">
            {/if}
            <div class="col col-12 col-xs-12 col-sm-6 col-md-4">
                <div class="row"
                     style="border:1px solid #d9d9d9; background-color:#f1f1f1; padding:5px; margin:5px 5px; border-radius:5px;"
                >
                    <div class="col col-2 col-xs-2"><strong>{$kat->kKategorie}</strong></div>
                    <div class="col col-10 col-xs-10">{$kat->cName}</div>
                </div>
            </div>
            {/foreach}
        </div>
    </div>


</div>

<style>
    .back-to-top {
        position: fixed;
        bottom: 20px;
        right: 20px;
        padding: 1em;
    }
</style>
<script>

    jQuery(document).ready(function () {
        $(".letter-scroller a").on("click", function () {
            $(".letters").css({
                color: '#313131'
            });

            var target = $(this).attr('href');
            $('html, body').animate({
                scrollTop: $(target).offset().top - 100
            }, 1000);
            $(target).css({
                color: '#cc0000'
            });
            return false;
        });

        var back_to_top_button = ['<span  class="back-to-top btn btn-default">Nach oben</span>'].join("");
        $(".kategorie-list").append(back_to_top_button);

// Der Button wird ausgeblendet
        $(".back-to-top").hide();


        $('.back-to-top').click(function () { // Klick auf den Button
            $('body,html').animate({
                scrollTop: 0
            }, 800);
            return false;
        });
    });

    //Funktion für das Scroll-Verhalten
    $(function () {
        $(window).scroll(function () {
            if ($(this).scrollTop() > 100) { // Wenn 100 Pixel gescrolled wurde
                $('.back-to-top').fadeIn();
            } else {
                $('.back-to-top').fadeOut();
            }
        });
    });
</script>